Index: includes/definitions/mibs.inc.php
===================================================================
--- includes/definitions/mibs.inc.php	(revision 8698)
+++ includes/definitions/mibs.inc.php	(working copy)
@@ -662,6 +662,111 @@
 $config['mibs'][$mib]['hardware'][]   = array('oid' => 'omsFwRev.0', 'transformations' => array(array('action' => 'regex_replace', 'from' => '/^Eltex +([\w\-\:\.]+) .* version ([\d\.]+) .*/', 'to' => '$1')));
 $config['mibs'][$mib]['version'][]    = array('oid' => 'omsFwRev.0', 'transformations' => array(array('action' => 'regex_replace', 'from' => '/^Eltex +([\w\-\:\.]+) .* version ([\d\.]+) .*/', 'to' => '$2')));
 
+$mib = 'ELTEX-LTP8X';
+$config['mibs'][$mib]['enable']       = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.35265.1.22';
+$config['mibs'][$mib]['mib_dir']      = 'eltex';
+$config['mibs'][$mib]['descr']        = 'Mib for eltex GPON devices';
+
+$config['mibs'][$mib]['sensor']['ltp8xPONChannelSFPTemperature']['tables'][] = array(
+  'table'               => 'ltp8xPONChannelSFPTemperature',
+  'class'               => 'temperature',
+  'descr'               => 'SFP',
+  'oid'                 => 'ltp8xPONChannelSFPTemperature',
+  'oid_num'             => '.1.3.6.1.4.1.35265.1.22.2.1.1.10',
+  'min'                 => 0,
+  'max' 		=> 300,
+  'scale'               => 1,
+);
+$config['mibs'][$mib]['sensor']['ltp8xPONChannelSFPVoltage']['tables'][] = array(
+  'table'               => 'ltp8xPONChannelSFPVoltage',
+  'class'               => 'voltage',
+  'descr'               => 'SFP',
+  'oid'                 => 'ltp8xPONChannelSFPVoltage',
+  'oid_num'             => '.1.3.6.1.4.1.35265.1.22.2.1.1.11',
+  'min'                 => 32767,
+  'scale'               => 0.000001, // in uV
+);
+$config['mibs'][$mib]['sensor']['ltp8xPONChannelSFPTxBiasCurrent']['tables'][] = array(
+  'table'               => 'ltp8xPONChannelSFPTxBiasCurrent',
+  'class'               => 'current',
+  'descr'               => 'SFP',
+  'oid'                 => 'ltp8xPONChannelSFPTxBiasCurrent',
+  'oid_num'             => '.1.3.6.1.4.1.35265.1.22.2.1.1.12',
+  'max'                 => 32765,
+  'scale'               => 0.000001, // in uA
+);
+$config['mibs'][$mib]['sensor']['ltp8xPONChannelTxPower']['tables'][] = array(
+  'table'               => 'ltp8xPONChannelTxPower',
+  'class'               => 'dbm',
+  'descr'               => 'SFP',
+  'oid'                 => 'ltp8xPONChannelTxPower',
+  'oid_num'             => '.1.3.6.1.4.1.35265.1.22.2.1.1.9',
+  'max'                 => 32765,
+  'scale'               => 0.001 // in dBm * 1000
+);
+
+$mib = 'ELTEX-LTP8X-STANDALONE';
+$config['mibs'][$mib]['enable']       = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.35265.1.22.1';
+$config['mibs'][$mib]['mib_dir']      = 'eltex';
+$config['mibs'][$mib]['descr']        = 'Mib for eltex GPON devices STANDALONE';
+
+$config['mibs'][$mib]['processor']['ltp8xCPULoadAverage5Minutes']                 = array('type'          => 'static',
+                                                                                          'oid_descr'     => 'ltp8xCPULoadAverage5Minutes',
+                                                                                          'oid'           => 'ltp8xCPULoadAverage5Minutes.0',
+                                                                                          'oid_num'       => '.1.3.6.1.4.1.35265.1.22.1.10.4.0',
+                                                                                          'scale'         => 0.01);
+$config['mibs'][$mib]['mempool']['ltp8xRAM'] = array('type' => 'static', 'descr' => 'RAM', 'scale' => 1,
+  'oid_free'   => 'ltp8xRAMFree.0', 'oid_free_num'  => '.1.3.6.1.4.1.35265.1.22.1.10.2.0', //ELTEX-LTP8X-STANDALONE::ltp8xDiskFreeSpace.0 = Gauge32: 15923
+  'total'   => 519045120, // 495*1024*1024 - From CLI: Free RAM/Total RAM (Mbytes):      269/495
+);
+
+//ELTEX-LTP8X-STANDALONE::ltp8xSensor1Temperature.0 = Gauge32: 32
+//ELTEX-LTP8X-STANDALONE::ltp8xSensor1TemperatureExt.0 = INTEGER: 32
+$config['mibs'][$mib]['sensor']['ltp8xSensorTemperature']['indexes'][1] = array('descr' => 'Sensor 1', 'class' => 'temperature', 'measured' => 'device', 'scale' => 1, 'oid_num' => '.1.3.6.1.4.1.35265.1.22.1.10.10.0');
+//ELTEX-LTP8X-STANDALONE::ltp8xSensor2Temperature.0 = Gauge32: 44
+//ELTEX-LTP8X-STANDALONE::ltp8xSensor2TemperatureExt.0 = INTEGER: 44
+$config['mibs'][$mib]['sensor']['ltp8xSensorTemperature']['indexes'][2] = array('descr' => 'Sensor 2', 'class' => 'temperature', 'measured' => 'device', 'scale' => 1, 'oid_num' => '.1.3.6.1.4.1.35265.1.22.1.10.11.0');
+
+$config['mibs'][$mib]['sensor']['ltp8xFanRPM']['indexes'][0]            = array('descr' => 'Fan 0',    'class' => 'fanspeed',    'measured' => 'device', 'scale' => 1, 'oid_num' => '.1.3.6.1.4.1.35265.1.22.1.10.7.0', 'oid_limit_low' => '.1.3.6.1.4.1.35265.1.22.1.10.20.0', 'oid_limit_high' => '.1.3.6.1.4.1.35265.1.22.1.10.21.0');
+$config['mibs'][$mib]['sensor']['ltp8xFanRPM']['indexes'][1]            = array('descr' => 'Fan 1',    'class' => 'fanspeed',    'measured' => 'device', 'scale' => 1, 'oid_num' => '.1.3.6.1.4.1.35265.1.22.1.10.9.0', 'oid_limit_low' => '.1.3.6.1.4.1.35265.1.22.1.10.20.0', 'oid_limit_high' => '.1.3.6.1.4.1.35265.1.22.1.10.21.0');
+
+
+//ELTEX-LTP8X-STANDALONE::ltp8xFan0Active.0 = INTEGER: true(1)
+//ELTEX-LTP8X-STANDALONE::ltp8xFan0RPM.0 = Gauge32: 6540
+//ELTEX-LTP8X-STANDALONE::ltp8xFan1Active.0 = INTEGER: true(1)
+//ELTEX-LTP8X-STANDALONE::ltp8xFan1RPM.0 = Gauge32: 6480
+//ELTEX-LTP8X-STANDALONE::ltp8xFanMinRPM.0 = Gauge32: 2000
+//ELTEX-LTP8X-STANDALONE::ltp8xFanMaxRPM.0 = Gauge32: 12000
+
+
+$mib = 'ELTEX-LTE8ST';
+$config['mibs'][$mib]['enable']       = 1;
+$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.35265.1.21';
+$config['mibs'][$mib]['mib_dir']      = 'eltex';
+$config['mibs'][$mib]['descr']        = 'Mib for eltex GEPON devices';
+$config['mibs'][$mib]['processor']['lte8stSystemCPULoadAverage5Minutes']                 = array('type'          => 'static',
+                                                                                                 'oid_descr'     => 'lte8stSystemCPULoadAverage5Minutes',
+                                                                                                 'oid'           => 'lte8stSystemCPULoadAverage5Minutes.0',
+                                                                                                 'oid_num'       => '.1.3.6.1.4.1.35265.1.21.1.33.0');
+$config['mibs'][$mib]['mempool']['lte8stSystemRAM'] = array('type' => 'static', 'descr' => 'RAM', 'scale' => 1,
+  'oid_free'   => 'lte8stSystemRAMFree.0', 'oid_free_num'  => '.1.3.6.1.4.1.35265.1.21.1.31.0', // ELTEX-LTE8ST::lte8stSystemRAMFree.0 = Gauge32: 136638464
+  'total'   => 254803968, // From CLI: Free RAM/Total RAM (Mbytes): 125/243
+);
+
+// ELTEX-LTE8ST::lte8stSystemPonPorts.0 = INTEGER: 2
+$config['mibs'][$mib]['sensor']['lte8stSystemPonPorts']['indexes'][0]    = array('descr' => 'PON ports',    'oid' => 'lte8stSystemPonPorts.0', 'min' => 0, 'scale' => 1, 'oid_num' => '.1.3.6.1.4.1.35265.1.21.1.8.0', 'measured' => 'device');
+// ELTEX-LTE8ST::lte8stSystemUplinkPorts.0 = INTEGER: 4
+$config['mibs'][$mib]['sensor']['lte8stSystemUplinkPorts']['indexes'][0] = array('descr' => 'Uplink ports', 'oid' => 'lte8stSystemUplinkPorts.0', 'min' => 0, 'scale' => 1);
+
+// ELTEX-LTE8ST::lte8stSystemP2PEnabled.0 = INTEGER: false(0)
+$config['mibs'][$mib]['status']['lte8stSystemP2PEnabled']['indexes'][0]  = array('descr' => 'P2P Enabled',  'oid' => 'lte8stSystemP2PEnabled.0', 'measured' => 'device', 'type' => 'BoolValue', 'oid_num' => '.1.3.6.1.4.1.35265.1.21.1.15.0');
+
+$config['mibs'][$mib]['states']['BoolValue'][0]      = array('name' => 'false', 'event' => 'ok');
+$config['mibs'][$mib]['states']['BoolValue'][1]      = array('name' => 'true',  'event' => 'ok');
+
+
 // Accuview
 
 $mib = 'ACCUENERGY-MIB';
@@ -854,7 +959,78 @@
 $config['mibs'][$mib]['descr']        = 'Ceragon FibeAir.';
 $config['mibs'][$mib]['mib_dir']      = 'ceragon';
 
+// C-data
+$mib = 'FD-SYSTEM-MIB';
+$config['mibs'][$mib]['enable']       = 1;
+//$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.3459.1.3.1';
+$config['mibs'][$mib]['descr']        = '';
+$config['mibs'][$mib]['mib_dir']      = 'cdata';
+$config['mibs'][$mib]['serial'][]     = array('oid' => 'chassisFactorySerial.0');
+$config['mibs'][$mib]['version'][]    = array('oid' => 'mainCardSWVersion.0'); //FD-SYSTEM-MIB::mainCardSWVersion.0 = STRING: OLT-SWE-2.0.31
+$config['mibs'][$mib]['hardware'][]   = array('oid' => 'mainCardHWRevision.0'); //FD-SYSTEM-MIB::mainCardHWRevision.0 = STRING: OLT-4.1
+$config['mibs'][$mib]['features'][]   = array('oid' => 'chassisType.0'); //FD-SYSTEM-MIB::chassisType.0 = INTEGER: CHASSIS(16843009)
 
+$config['mibs'][$mib]['sensor']['chassisTemperature']['indexes'][0] = array('class' => 'temperature', 'descr' => 'Chassis Temperature', 'oid' => 'chassisTemperature.0', 'min' => 0, 'scale' => 1); //FD-SYSTEM-MIB::chassisTemperature.0
+
+$config['mibs'][$mib]['status']['sysMajAlarmLed']['indexes'][0]    = array('descr' => 'Status of main card MAJ led', 'oid' => 'sysMajAlarmLed.0', 'measured' => '', 'type' => 'LedStatus', 'oid_num' => '.1.3.6.1.4.1.34592.1.3.1.1.5.0');
+$config['mibs'][$mib]['status']['sysCriAlarmLed']['indexes'][0]    = array('descr' => 'Status of main card CRJ led', 'oid' => 'sysMajAlarmLed.0', 'measured' => '', 'type' => 'LedStatus', 'oid_num' => '.1.3.6.1.4.1.34592.1.3.1.1.6.0');
+
+$config['mibs'][$mib]['status']['PowerStatusBit']['indexes'][0]    = array('class' => 'power', 'descr' => 'Power Statuses', 'oid' => 'PowerStatusBit.0', 'measured' => '', 'type' => 'powerStatusBit', 'oid_num' => '.1.3.6.1.4.1.34592.1.3.1.3.5.0');
+$config['mibs'][$mib]['status']['fanStatusBit']['indexes'][0]      = array('descr' => 'Fan Statuses', 'oid' => 'fanStatusBit.0', 'measured' => 'fan', 'type' => 'fanStatusBit', 'oid_num' => '.1.3.6.1.4.1.34592.1.3.1.3.6.0');
+
+$config['mibs'][$mib]['states']['LedStatus'][1]      = array('name' => 'on',               'event' => 'alert');
+$config['mibs'][$mib]['states']['LedStatus'][2]      = array('name' => 'off',              'event' => 'ok');
+$config['mibs'][$mib]['states']['LedStatus'][3]      = array('name' => 'blink',            'event' => 'warning');
+
+$config['mibs'][$mib]['states']['powerStatusBit'][0] = array('name' => 'Power off',        'event' => 'alert');
+$config['mibs'][$mib]['states']['powerStatusBit'][1] = array('name' => 'Power B off',      'event' => 'warning');
+$config['mibs'][$mib]['states']['powerStatusBit'][2] = array('name' => 'Power A off',      'event' => 'warning');
+$config['mibs'][$mib]['states']['powerStatusBit'][3] = array('name' => 'ok',               'event' => 'ok');
+
+$config['mibs'][$mib]['states']['fanStatusBit'][0]   = array('name' => 'Fans 1-4 off',     'event' => 'alert');
+$config['mibs'][$mib]['states']['fanStatusBit'][1]   = array('name' => 'Fans 2-4 off',     'event' => 'alert');
+$config['mibs'][$mib]['states']['fanStatusBit'][2]   = array('name' => 'Fans 1,3,4 off',   'event' => 'alert');
+$config['mibs'][$mib]['states']['fanStatusBit'][3]   = array('name' => 'Fans 3,4 off',     'event' => 'alert');
+$config['mibs'][$mib]['states']['fanStatusBit'][4]   = array('name' => 'Fans 1,2,4 off',   'event' => 'alert');
+$config['mibs'][$mib]['states']['fanStatusBit'][5]   = array('name' => 'Fans 2,4 off',     'event' => 'alert');
+$config['mibs'][$mib]['states']['fanStatusBit'][6]   = array('name' => 'Fans 1,4 off',     'event' => 'alert');
+$config['mibs'][$mib]['states']['fanStatusBit'][7]   = array('name' => 'Fans 4 off',       'event' => 'alert');
+$config['mibs'][$mib]['states']['fanStatusBit'][8]   = array('name' => 'Fans 1-3 off',     'event' => 'alert');
+$config['mibs'][$mib]['states']['fanStatusBit'][9]   = array('name' => 'Fans 2,3 off',     'event' => 'alert');
+$config['mibs'][$mib]['states']['fanStatusBit'][10]  = array('name' => 'Fans 1,3 off',     'event' => 'alert');
+$config['mibs'][$mib]['states']['fanStatusBit'][11]  = array('name' => 'Fans 3 off',       'event' => 'warning');
+$config['mibs'][$mib]['states']['fanStatusBit'][12]  = array('name' => 'Fans 1,2 off',     'event' => 'alert');
+$config['mibs'][$mib]['states']['fanStatusBit'][13]  = array('name' => 'Fans 2 off',       'event' => 'warning');
+$config['mibs'][$mib]['states']['fanStatusBit'][14]  = array('name' => 'Fans 1 off',       'event' => 'warning');
+$config['mibs'][$mib]['states']['fanStatusBit'][15]  = array('name' => 'All Fans on',      'event' => 'ok');
+
+$mib = 'FD-SWITCH-MIB';
+$config['mibs'][$mib]['enable']       = 1;
+//$config['mibs'][$mib]['identity_num'] = '.1.3.6.1.4.1.3459.1.3.2';
+$config['mibs'][$mib]['descr']        = '';
+$config['mibs'][$mib]['mib_dir']      = 'cdata';
+
+$config['mibs'][$mib]['status']['switchMode']['indexes'][0]         = array('descr' => 'Device function operation switch type', 'measured' => 'device', 'type' => 'switchMode',  'oid_num' => '.1.3.6.1.4.1.34592.1.3.2.1.1.0'); // switchMode.0 = INTEGER: normal(3)
+$config['mibs'][$mib]['status']['vlanMode']['indexes'][0]           = array('descr' => 'vlan mode',                             'measured' => 'device', 'type' => 'OperSwitch',  'oid_num' => '.1.3.6.1.4.1.34592.1.3.2.4.4.1.0'); // vlanMode.0 = INTEGER: enable(1)
+$config['mibs'][$mib]['status']['trunkBlance']['indexes'][0]        = array('descr' => 'Balance Mode in Trunks',                'measured' => 'device', 'type' => 'trunkBlance', 'oid_num' => '.1.3.6.1.4.1.34592.1.3.2.5.1.1.0'); // trunkBlance.0 = INTEGER: balanceMac(1)
+$config['mibs'][$mib]['status']['rstpEnable']['indexes'][0]         = array('descr' => 'RSTP status',                           'measured' => 'device', 'type' => 'OperSwitch',  'oid_num' => '.1.3.6.1.4.1.34592.1.3.2.6.1.1.0'); // rstpEnable.0 = INTEGER: disable(2)
+$config['mibs'][$mib]['status']['igmpsnoopingAdmin']['indexes'][0]  = array('descr' => 'IGMP snooping status',                  'measured' => 'device', 'type' => 'OperSwitch',  'oid_num' => '1.3.6.1.4.1.34592.1.3.2.8.1'); // igmpsnoopingAdmin.0 = INTEGER: enable(1)
+
+$config['mibs'][$mib]['states']['switchMode'][1]             = array('name' => 'sniDestinated',    'event' => 'ok');  // -- It is normal
+$config['mibs'][$mib]['states']['switchMode'][2]             = array('name' => 'transparent',      'event' => 'ok');  // -- It is normal too
+$config['mibs'][$mib]['states']['switchMode'][3]             = array('name' => 'normal',           'event' => 'ok');  // -- It is normal too
+
+$config['mibs'][$mib]['states']['OperSwitch'][1]             = array('name' => 'enable',           'event' => 'ok');  // -- It is normal
+$config['mibs'][$mib]['states']['OperSwitch'][2]             = array('name' => 'disable',          'event' => 'ok');  // -- It is normal too
+
+$config['mibs'][$mib]['states']['trunkBlance'][1]            = array('name' => 'balanceMac',       'event' => 'warning');  // -- It is bad idea to use balanceMac
+$config['mibs'][$mib]['states']['trunkBlance'][2]            = array('name' => 'balanceIp',        'event' => 'ok');  // -- not bad
+$config['mibs'][$mib]['states']['trunkBlance'][3]            = array('name' => 'balanceL4Port',    'event' => 'ok');  // -- not bad
+$config['mibs'][$mib]['states']['trunkBlance'][4]            = array('name' => 'balanceIpMac',     'event' => 'ok');  // -- better than not bad
+$config['mibs'][$mib]['states']['trunkBlance'][5]            = array('name' => 'balanceL4PortMac', 'event' => 'ok');  // -- The best
+$config['mibs'][$mib]['states']['trunkBlance'][6]            = array('name' => 'balanceInL2If',    'event' => 'unknown');  // -- unknown feature
+
+
 // Dell IDRAC-MIB-SMIv2
 
 $mib = 'IDRAC-MIB-SMIv2';
Index: includes/definitions/os.inc.php
===================================================================
--- includes/definitions/os.inc.php	(revision 8698)
+++ includes/definitions/os.inc.php	(working copy)
@@ -965,6 +965,22 @@
 //$config['os'][$os]['snmp']['max-rep']       = 2000; // Yep! This devices may have over 1000 ports. All tested devices support such max-rep value and huge improved polling time
 //$config['os'][$os]['mib_blacklist'][]       = "ENTITY-SENSOR-MIB";  // ENTITY-MIB is huge here
 
+// C-Data
+$os = "cdata-swe-pon";
+$config['os'][$os]['vendor']                = "cdata";
+$config['os'][$os]['text']                  = "CDATA";
+$config['os'][$os]['type']                  = "network";
+//$config['os'][$os]['snmpable'][]            = ".1.3.6.1.4.1.34592.1.3.1.1.2.0";
+//$config['os'][$os]['discovery_os']          = "cdata";
+$config['os'][$os]['discovery'][]           = array(
+  'sysObjectID'                             => '.0.0',
+//  'sysDescr'                                => '/^$/', // empty
+  'FD-SYSTEM-MIB::sysDesc.0'   => '/.+/', // non empty
+);
+$config['os'][$os]['mibs'][]                = "FD-SYSTEM-MIB";
+$config['os'][$os]['mibs'][]                = "FD-SWITCH-MIB";
+$config['os'][$os]['mib_dirs']              = "cdata";
+
 // Cisco
 
 $os = "iosxr";
@@ -1992,6 +2008,7 @@
 //MES3124F 28-port Fiber 1G/10G Managed Switch
 //MES2124M AC 28-port 1G Managed Switch
 $config['os'][$os]['sysDescr_regex'][]      = "/^(?:Eltex +)?(?<hardware>[a-z]+\-?\d+[\w]+)(?:(?: +AC)? +(?:[0-9a-z-]+) +(?<features>.+))?/i";
+$config['os'][$os]['remote_access']         = array('telnet', 'ssh');
 
 $os = "eltex-voip";
 $config['os'][$os]['text']                  = "Eltex VoIP";
@@ -2020,12 +2037,12 @@
   'sysDescr'                                => '/^Linux /',
   'sysName'                                 => '/^(SMG|TAU|SBC|RG|TSU|MC)/i',
 );
+$config['os'][$os]['remote_access']         = array('http');
 
 $os = "eltex-gpon";
 $config['os'][$os]['text']                  = "Eltex GPON";
 $config['os'][$os]['vendor']                = "Eltex";
 $config['os'][$os]['type']                  = "network";
-//$config['os'][$os]['group']                 = "radlan";
 //$config['os'][$os]['graphs'][]              = "device_bits";
 //$config['os'][$os]['graphs'][]              = "device_processor";
 //$config['os'][$os]['graphs'][]              = "device_mempool";
@@ -2047,6 +2064,7 @@
   'sysName'                                 => '/^(LTP|LTE)/i',
 );
 $config['os'][$os]['mibs'][]                = "ELTEX-OMS";
+$config['os'][$os]['remote_access']         = array('telnet', 'ssh', 'http');
 
 // Fortinet
 