Index: includes/definitions/mibs.inc.php
===================================================================
--- includes/definitions/mibs.inc.php	(revision 9016)
+++ includes/definitions/mibs.inc.php	(working copy)
@@ -6132,7 +6132,6 @@
 $type = 'ogCellModemRegistered';
 $config['mibs'][$mib]['states'][$type][1] = array('name' => 'connected', 'event' => 'ok');
 $config['mibs'][$mib]['states'][$type][2] = array('name' => 'disconnected', 'event' => 'alert');
-$type = 'batteryBreakerStatus';
 
 
 $mib = 'OMNITRON-MIB';
@@ -7529,7 +7528,62 @@
 );
 
 // Ciena
+$mib = 'CIENA-WS-ALARM-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['mib_dir'] = 'ciena';
+$config['mibs'][$mib]['descr'] = '';
 
+$config['mibs'][$mib]['status']['cwsAlarmActiveSeverity']['indexes'][] = array(
+  'descr'	=> 'Alert',
+  'oid_descr'	=> 'cwsAlarmActiveDescription.1',
+  'type'	=> 'cwsAlarmActiveSeverity',
+  'measured'	=> 'device'
+);
+$type = 'cwsAlarmActiveSeverity';
+$config['mibs'][$mib]['states'][$type][1] = array('name' => 'cleared', 'event' => 'ok');
+$config['mibs'][$mib]['states'][$type][3] = array('name' => 'criticial', 'event' => 'alert');
+$config['mibs'][$mib]['states'][$type][4] = array('name' => 'major', 'event' => 'alert');
+$config['mibs'][$mib]['states'][$type][5] = array('name' => 'minor', 'event' => 'warning');
+$config['mibs'][$mib]['states'][$type][6] = array('name' => 'warning', 'event' => 'warning');
+$config['mibs'][$mib]['states'][$type][8] = array('name' => 'info', 'event' => 'exclude');
+
+$mib = 'CIENA-WS-CHASSIS-MIB';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['mib_dir'] = 'ciena';
+$config['mibs'][$mib]['descr'] = '';
+$config['mibs'][$mib]['sensor']['cwsChassisStatusTable']['tables'][] = array(
+  'table'	=> 'cwsChassisStatusTable',
+  'class'	=> 'fanspeed',
+  'descr'	=> 'Fan %i%',
+  'oid'		=> 'cwsChassisStatusCurrentRpm',
+  'oid_num'	=> '.1.3.6.1.4.1.1271.3.4.6.27.1.2',
+  'min'		=> 0,
+  'scale'	=> 1
+);
+$config['mibs'][$mib]['status']['cwsChassisFanStateTable']['tables'][] = array(
+  'table'	=> 'cwsChassisFanStateTable',
+  'type'	=> 'ChassisOperationState',
+  'descr'	=> 'Fan %index0%',
+  'oid'		=> 'cwsChassisFanStateOperationalState',
+  'measured'	=> 'device'
+);
+$config['mibs'][$mib]['status']['cwsChassisPsuStateTable']['tables'][] = array(
+  'table'	=> 'cwsChassisPsuStateTable',
+  'type'	=> 'ChassisOperationState',
+  'descr'	=> 'PSU %index0%',
+  'oid'		=> 'cwsChassisPsuStateOperationalState',
+  'measured'	=> 'powersupply'
+);
+$type = 'ChassisOperationState';
+$config['mibs'][$mib]['states'][$type][0] = array('name' => 'uninstalled', 'event' => 'warning');
+$config['mibs'][$mib]['states'][$type][1] = array('name' => 'normal', 'event' => 'ok');
+$config['mibs'][$mib]['states'][$type][2] = array('name' => 'faulted', 'event' => 'alert');
+
+$mib = 'CIENA-WS-SOFTWARE-MIB';
+$config['mibs'][$mib]['serial'][] = array('oid' => 'cwsSoftwareActiveSoftwareBuildNumber.0');
+$config['mibs'][$mib]['version'][] = array('oid' => 'cwsSoftwareActiveSoftwareVersion.0');
+$config['mibs'][$mib]['hardware'][] = array('oid' => 'cwsChassisChassisidentificationModel.0');
+
 $mib = 'CIENA-WS-XCVR-MIB';
 $config['mibs'][$mib]['enable'] = 1;
 $config['mibs'][$mib]['mib_dir'] = 'ciena';
Index: includes/definitions/os.inc.php
===================================================================
--- includes/definitions/os.inc.php	(revision 9016)
+++ includes/definitions/os.inc.php	(working copy)
@@ -289,6 +289,7 @@
 $config['os'][$os]['type']                  = "server";
 $config['os'][$os]['group']                 = "unix";
 $config['os'][$os]['sysObjectID'][]         = '.1.3.6.1.4.1.6876.4.1';
+$config['os'][$os]['sysObjectID'][]         = '.1.3.6.1.4.1.6876.4.7';
 $config['os'][$os]['port_label'][]          = '/Device (.+) at .*/';                       // Device vmnic7 at 08:00.1 bnx2
 $config['os'][$os]['port_label'][]          = '/Traditional Virtual VMware switch: (.+)/'; // Traditional Virtual VMware switch: vSwitchISCSI
 $config['os'][$os]['port_label'][]          = '/Virtual interface: (.+) on /';             // Virtual interface: vmk2 on vswitch vSwitchISCSI portgroup: iSCSI0
@@ -2220,6 +2221,8 @@
 $config['os'][$os]['sysObjectID'][]         = ".1.3.6.1.4.1.1271.3";
 $config['os'][$os]['sysDescr'][]            = "/^Waveserver Platform$/";
 $config['os'][$os]['mibs'][]                = "CIENA-WS-MIB";
+$config['os'][$os]['mibs'][]                = "CIENA-WS-ALARM-MIB";
+$config['os'][$os]['mibs'][]                = "CIENA-WS-CHASSIS-MIB";
 $config['os'][$os]['mibs'][]                = "CIENA-WS-SOFTWARE-MIB";
 $config['os'][$os]['mibs'][]                = "CIENA-WS-TYPEDEFS-MIB";
 $config['os'][$os]['mibs'][]                = "CIENA-WS-XCVR-MIB";