Index: includes/definitions/mibs/mikrotik.inc.php
===================================================================
--- includes/definitions/mibs/mikrotik.inc.php	(revision 9666)
+++ includes/definitions/mibs/mikrotik.inc.php	(working copy)
@@ -211,4 +211,73 @@
 $config['mibs'][$mib]['states'][$type][0] = array('name' => 'false', 'event' => 'alert');
 $config['mibs'][$mib]['states'][$type][1] = array('name' => 'true', 'event' => 'ok');
 
+/*MIKROTIK-MIB::mtxrWirelessModem
+enterprises.mikrotik.mikrotikExperimentalModule.mtXRouterOs.mtxrWirelessModem
+MIKROTIK-MIB::mtxrWirelessModemSignalStrength.0 = INTEGER: 58     //.1.3.6.1.4.1.14988.1.1.13.1.0
+MIKROTIK-MIB::mtxrWirelessModemSignalECIO.0 = INTEGER: 0          //.1.3.6.1.4.1.14988.1.1.13.3.0 */
+
+/* Discovered on all devices :-(
+$config['mibs'][$mib]['sensor'][] = array('oid'      => 'mtxrWirelessModemSignalStrength',
+                                          'descr'    => 'Wireless Modem Signal Strength',
+                                          'class'    => 'dbm',
+                                          'measured' => 'device',
+//                                          'scale'    => 0.001,
+                                          'oid_num'  => '.1.3.6.1.4.1.14988.1.1.13.1');
+*/
+/*MIKROTIK-MIB::mtxrLTEModem
+enterprises.mikrotik.mikrotikExperimentalModule.mtXRouterOs.mtxrLTEModem.mtxrLTEModemTable.mtxrLTEModemEntry
+MIKROTIK-MIB::mtxrLTEModemInterfaceIndex.1 = INTEGER: 1           //.1.3.6.1.4.1.14988.1.1.16.1.1.1.1
+MIKROTIK-MIB::mtxrLTEModemSignalRSSI.1 = INTEGER: 0               //.1.3.6.1.4.1.14988.1.1.16.1.1.2.1
+MIKROTIK-MIB::mtxrLTEModemSignalRSRQ.1 = INTEGER: -13             //.1.3.6.1.4.1.14988.1.1.16.1.1.3.1
+MIKROTIK-MIB::mtxrLTEModemSignalRSRP.1 = INTEGER: -108            //.1.3.6.1.4.1.14988.1.1.16.1.1.4.1
+MIKROTIK-MIB::mtxrLTEModemCellId.1 = INTEGER: a634715             //.1.3.6.1.4.1.14988.1.1.16.1.1.5.1
+MIKROTIK-MIB::mtxrLTEModemAccessTechnology.1 = INTEGER: eutran(7) //.1.3.6.1.4.1.14988.1.1.16.1.1.6.1
+MIKROTIK-MIB::mtxrLTEModemSignalSINR.1 = INTEGER: 1               //.1.3.6.1.4.1.14988.1.1.16.1.1.7.1 */
+
+$config['mibs'][$mib]['sensor'][] = array('measured'           => 'device',
+                                          'table'              => 'mtxrLTEModemTable',
+                                          'class'              => 'dbm',
+                                          'oid'                => 'mtxrLTEModemSignalRSSI',
+                                          'descr'              => 'LTE Modem Signal RSSI');
+
+$config['mibs'][$mib]['sensor'][] = array('measured'           => 'device',
+                                          'table'              => 'mtxrLTEModemTable',
+                                          'class'              => 'dbm',
+                                          'oid'                => 'mtxrLTEModemSignalRSRQ',
+                                          'descr'              => 'LTE Modem Signal RSRQ');
+
+$config['mibs'][$mib]['sensor'][] = array('measured'           => 'device',
+                                          'table'              => 'mtxrLTEModemTable',
+                                          'class'              => 'dbm',
+                                          'oid'                => 'mtxrLTEModemSignalRSRP',
+                                          'descr'              => 'LTE Modem Signal RSRP');
+
+$config['mibs'][$mib]['sensor'][] = array('measured'           => 'device',
+                                          'table'              => 'mtxrLTEModemTable',
+                                          'class'              => 'dbm',
+                                          'oid'                => 'mtxrLTEModemSignalSINR',
+                                          'descr'              => 'LTE Modem Signal SINR');
+
+$config['mibs'][$mib]['status']['mtxrLTEModemAccessTechnology']['tables'][] = array(
+  'table'    => 'mtxrLTEModemTable',
+  'type'     => 'mtxrAccessTechnology',
+  'descr'    => 'LTE Modem Access Technology',
+  'oid'      => 'mtxrLTEModemAccessTechnology',
+  'oid_num'  => '.1.3.6.1.4.1.14988.1.1.16.1.1.6',
+  'measured' => 'device'
+);
+
+$type                                     = 'mtxrAccessTechnology';
+//as reported by +CREG
+$config['mibs'][$mib]['states'][$type][-1] = array('name' => 'unknown', 'event' => 'alert');
+$config['mibs'][$mib]['states'][$type][0] = array('name' => 'gsmcompact', 'event' => 'ok');
+$config['mibs'][$mib]['states'][$type][1] = array('name' => 'gsm', 'event' => 'ok');
+$config['mibs'][$mib]['states'][$type][2] = array('name' => 'utran', 'event' => 'ok');
+$config['mibs'][$mib]['states'][$type][3] = array('name' => 'egprs', 'event' => 'ok');
+$config['mibs'][$mib]['states'][$type][4] = array('name' => 'hsdpa', 'event' => 'ok');
+$config['mibs'][$mib]['states'][$type][5] = array('name' => 'hsupa', 'event' => 'ok');
+$config['mibs'][$mib]['states'][$type][6] = array('name' => 'hsdpahsupa', 'event' => 'ok');
+$config['mibs'][$mib]['states'][$type][7] = array('name' => 'eutran', 'event' => 'ok');
+
+
 // EOF