Index: includes/definitions/os.inc.php
===================================================================
--- includes/definitions/os.inc.php     (revision 9704)
+++ includes/definitions/os.inc.php     (working copy)
@@ -4451,6 +4451,13 @@
 $config['os'][$os]['graphs'][]              = "device_power";
 $config['os'][$os]['mibs'][]                = "JANITZA-MIB";
 
+// Enviromux
+$os = "enviromux";
+$config['os'][$os]['vendor']                = "NTI";
+$config['os'][$os]['sysDescr'][]            = "/emux-16/";
+$config['os'][$os]['mibs'][]                = "ENVIROMUX16D";
+$config['os'][$os]['sysObjectID'][]         = "3.6.1.4.1.3699.1.1.11.1.1.9";
+
 // Liebert / Emerson
 
 $os = "liebert";
Index: includes/definitions/mibs/enviromux.inc.php
===================================================================
--- includes/definitions/mibs/enviromux.inc.php (revision 0)
+++ includes/definitions/mibs/enviromux.inc.php (working copy)
@@ -0,0 +1,72 @@
+<?php
+
+$mib = 'ENVIROMUX16D';
+$config['mibs'][$mib]['enable'] = 1;
+$config['mibs'][$mib]['mib_dir'] = 'nti';
+$config['mibs'][$mib]['descr'] = '';
+
+// Internal sensors
+$config['mibs'][$mib]['sensor'][] = array(
+   'table'               => 'intSensorTable',
+   'oid_class'           => 'intSensorType',
+   'map_class'           => array('undefined' => 'exclude', 'temperature' => 'temperature', 'humidity' => 'humidity', 'power' => 'voltage', 5 => 'current'),
+   'oid'                 => 'intSensorValue',
+   'oid_num'             => '.1.3.6.1.4.1.3699.1.1.11.1.3.1.1.6',
+   'oid_descr'           => 'intSensorDescription',
+   'scale'               => 0.1,
+   'limit_scale'         => 0.1,
+   'min'                 => -100,
+   'oid_limit_low'       => 'intSensorMinThreshold',
+   'oid_limit_high'      => 'intSensorMaxThreshold',
+   'oid_limit_low_warm'  => 'intSensorMinWarnThreshold',
+   'oid_limit_high_warn' => 'intSensorMaxWarnThreshold'
+);
+
+
+// External sensors
+$config['mibs'][$mib]['sensor'][] = array(
+   'table'               => 'extSensorTable',
+   'oid_class'           => 'extSensorType',
+   'map_class'           => array('undefined' => 'exclude', 'temperature' => 'temperature', 2 => 'humidity', 3 => 'power', 5 => 'current'),
+   'oid'                 => 'extSensorValue',
+   'oid_num'             => '.1.3.6.1.4.1.3699.1.1.11.1.5.1.1.7',
+   'oid_descr'           => 'extSensorDescription',
+   'scale'               => 0.1,
+   'limit_scale'         => 0.1,
+   'min'                 => -100,
+   'oid_limit_low'       => 'extSensorMinThreshold',
+   'oid_limit_high'      => 'extSensorMaxThreshold',
+   'oid_limit_low_warm'  => 'extSensorMinWarnThreshold',
+   'oid_limit_high_warn' => 'extSensorMaxWarnThreshold'
+);
+
+//notconnected(0), normal(1), prealert(2), alert(3), acknowledged(4), dismissed(5), disconnected(6), reserved(10
+// Digital inputs
+$config['mibs'][$mib]['status']['digInputEntry']['tables'][] = array(
+   'table'               => 'digInputTable',
+   'type'                 => 'digInputStatus',
+   'oid'                 => 'digInputStatus',
+   'oid_num'             => '.1.3.6.1.4.1.3699.1.1.11.1.6.1.1.8',
+   'oid_descr'           => 'digInputDescription',
+   'measured'            => 'input'
+);
+
+$type = 'digInputStatus';
+$config['mibs'][$mib]['states'][$type][1]  = array('name' => 'normal',      'event' => 'ok');
+$config['mibs'][$mib]['states'][$type][2]  = array('name' => 'prealert',      'event' => 'warning');
+$config['mibs'][$mib]['states'][$type][3]  = array('name' => 'alert',      'event' => 'alert');
+
+// Remote digital inputs
+$config['mibs'][$mib]['status']['remoteInputEntry']['tables'][] = array(
+   'table'               => 'remoteInputTable',
+   'type'                 => 'remoteInputStatus',
+   'oid'                 => 'remoteInputStatus',
+   'oid_num'             => '.1.3.6.1.4.1.3699.1.1.11.1.12.1.1.8',
+   'oid_descr'           => 'remoteInputDescription',
+   'measured'            => 'input'
+);
+
+$type = 'remoteInputStatus';
+$config['mibs'][$mib]['states'][$type][1]  = array('name' => 'normal',      'event' => 'ok');
+$config['mibs'][$mib]['states'][$type][2]  = array('name' => 'prealert',      'event' => 'warning');
+$config['mibs'][$mib]['states'][$type][3]  = array('name' => 'alert',      'event' => 'alert');