Index: includes/definitions/os/hp.inc.php
===================================================================
--- includes/definitions/os/hp.inc.php	(revision 10000)
+++ includes/definitions/os/hp.inc.php	(working copy)
@@ -24,6 +24,7 @@
 $config['os'][$os]['sysObjectID'][]         = ".1.3.6.1.4.1.11.2.3.7.11.";  // ProCurve Switch / Aruba Switch
 $config['os'][$os]['sysObjectID'][]         = ".1.3.6.1.4.1.11.2.14.11.7";  // ProCurve Secure Router
 $config['os'][$os]['sysDescr'][]            = "/^(HPE |HP )?ProCurve (?!AP|Access Point)/"; // Fallback for unknown sysObjectID (APs excludes)
+$config['os'][$os]['remote_access']         = array('telnet', 'ssh', 'scp', 'http', 'https');
 $config['os'][$os]['syslog_msg'][]          = "/^\s*(?<tag>(?<program>\S+?)(\[\d+\])?):\ +(?<msg>.*)/";
 $config['os'][$os]['mibs'][]                = "STATISTICS-MIB";
 $config['os'][$os]['mibs'][]                = "NETSWITCH-MIB";
@@ -150,6 +151,7 @@
 //$config['os'][$os]['group']                 = "unix";
 $config['os'][$os]['sysObjectID'][]         = ".1.3.6.1.4.1.11.5.7.3.2";  // iLO Management Processor
 $config['os'][$os]['sysObjectID'][]         = ".1.3.6.1.4.1.232.9.4.10";  // iLO 4
+$config['os'][$os]['sysObjectID'][]         = ".1.3.6.1.4.1.232.9.4.11";  // iLO 5
 $config['os'][$os]['sysDescr'][]            = "/^Integrated Lights\-Out \d/";
 $config['os'][$os]['mibs'][]                = "CPQSINFO-MIB";
 $config['os'][$os]['mibs'][]                = "CPQHLTH-MIB";
@@ -267,4 +269,14 @@
 $config['os'][$os]['sysObjectID'][]         = "1.3.6.1.4.1.23631";
 $config['os'][$os]['sysDescr'][]            = "/^Azalea/";
 
+$os = "arubaos-cx";
+$config['os'][$os]['text']                  = "ArubaOS-CX";
+$config['os'][$os]['vendor']                = "Aruba";
+$config['os'][$os]['type']                  = "network";
+$config['os'][$os]['graphs'][]              = "device_bits";
+$config['os'][$os]['graphs'][]              = "device_processor";
+$config['os'][$os]['graphs'][]              = "device_mempool";
+$config['os'][$os]['remote_access']         = array('telnet', 'ssh', 'scp', 'http', 'https');
+$config['os'][$os]['sysObjectID'][]         = ".1.3.6.1.4.1.47196";
+
 // EOF
Index: includes/polling/os/arubaos-cx.inc.php
===================================================================
--- includes/polling/os/arubaos-cx.inc.php	(revision 0)
+++ includes/polling/os/arubaos-cx.inc.php	(working copy)
@@ -0,0 +1,39 @@
+<?php
+/**
+ * Observium
+ *
+ *   This file is part of Observium.
+ *
+ * @package        observium
+ * @subpackage     poller
+ * @copyright  (C) 2006-2013 Adam Armstrong, (C) 2013-2019 Observium Limited
+ *
+ */
+
+ /* Available properties:
+  * entPhysicalModelName = 'JL635A'
+  * entPhysicalDescr = 'Aruba 8325 1-slot Chassis'
+  * entPhysicalSoftwareRev = 'GL.10.02.0001'
+  * entPhysicalSerialNum = 'TWXXXXXXDS'
+  */
+if ($entPhysical['entPhysicalModelName'])
+{
+  $hardware = $entPhysical['entPhysicalModelName'];
+  if ($entPhysical['entPhysicalDescr'])
+  {
+    $hardware .= str_replace('Aruba', ' ', $entPhysical['entPhysicalDescr']);
+  }
+}
+
+if ($entPhysical['entPhysicalSoftwareRev'])
+{
+  $version = $entPhysical['entPhysicalSoftwareRev'];
+}
+
+/* enrPhysicalSerialNum can come up empty */
+if ($entPhysical['entPhysicalSerialNum'] && $entPhysical['entPhysicalSerialNum'] != "<EMPTY>")
+{
+  $serial = $entPhysical['entPhysicalSerialNum'];
+}
+
+// EOF
Index: includes/polling/os.inc.php
===================================================================
--- includes/polling/os.inc.php	(revision 10000)
+++ includes/polling/os.inc.php	(working copy)
@@ -21,7 +21,7 @@
 // Cache hardware/version/serial info from ENTITY-MIB (if possible use inventory module data)
 if (is_device_mib($device, 'ENTITY-MIB') &&
     (in_array($device['os_group'], array('unix', 'cisco')) ||
-     in_array($device['os'], array('acme', 'nos', 'slx', 'ibmnos', 'acsw', 'fabos', 'wlc', 'h3c', 'hh3c', 'hpuww', 'lenovo-cnos'))))
+     in_array($device['os'], array('acme', 'nos', 'slx', 'ibmnos', 'acsw', 'fabos', 'wlc', 'h3c', 'hh3c', 'hpuww', 'lenovo-cnos', 'arubaos-cx'))))
 {
   // Get entPhysical tables for some OS and OS groups
   if ($config['discovery_modules']['inventory'])
@@ -30,7 +30,7 @@
   } else {
     switch (TRUE)
     {
-      case ($device['os_group'] == 'cisco' || in_array($device['os'], array('acme', 'h3c', 'hh3c'))):
+      case ($device['os_group'] == 'cisco' || in_array($device['os'], array('acme', 'h3c', 'hh3c', 'arubaos-cx'))):
         $oids = 'entPhysicalDescr.1 entPhysicalSerialNum.1 entPhysicalModelName.1 entPhysicalContainedIn.1 entPhysicalName.1 entPhysicalSoftwareRev.1';
         break;
       case ($device['os'] == 'qnap'):